PukiWiki俺カスタム « L.T.SOFTWARE

PukiWiki俺カスタム


PHP5.4.4でも動くpukiwiki

ということで最新版のpukiwikiをfixしてみました。

しかしこのまま放置されてるってのは、皆PukiWiki使わないんですかね。
それともPHP5.4.4に需要がないんですかね。
どっちにせよ残念な事態ですが。。。


やったことは前回の記事の通り。
あとstaticメソッドにstaticが付いてなくてエラーになってた箇所があったので、
その辺をなおしたりとか
ついでにアップロードの容量制限取っ払ってるんで、
公開wiki作る人は注意して下さい。
plugin/attach.inc.phpで容量制限と、パスワード要求するかどーかを決められます。

つかこの、参照渡しの周りって仕様ガラっと変わったんですかね。。。
C++erからすると& new とか何が言いたいのかサッパリ



コメント / トラックバック 2 件

  1. 助かります。 より:

    助かるわぁ・・・

  2. tsubu より:

    お役に立ったようで何よりです!

コメントをどうぞ